Extending Qt Creator Manual | JSImportScope

Extending Qt Creator Manual 4.4.0

# JSImportScope Class

(QmlJS::JSImportScope)

Inherits: | QmlJS::ObjectValue

- List of all members, including inherited members

## Public Functions

| JSImportScope(const Imports *imports, ValueOwner *valueOwner)

## Reimplemented Public Functions

virtual const JSImportScope * | asJSImportScope() const override
virtual const Value * | lookupMember(const QString &name, const Context *context, const ObjectValue **foundInObject = 0, bool examinePrototypes = true) const override
virtual void | processMembers(MemberProcessor *processor) const override

- 16 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### JSImportScope::JSImportScope(const Imports *imports, ValueOwner *valueOwner)

Default constructs an instance of JSImportScope.

### `[override virtual]` const JSImportScope *JSImportScope::asJSImportScope() const

### `[override virtual]` const Value *JSImportScope::lookupMember(const QString &name, const Context *context, const ObjectValue **foundInObject = 0, bool examinePrototypes = true) const

### `[override virtual]` void JSImportScope::processMembers(MemberProcessor *processor) const